import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/id_name_entity.g.dart';
import 'dart:convert';

@JsonSerializable()
class IdNameEntity {
	String? id;
	String? name;

	IdNameEntity();

	factory IdNameEntity.fromJson(Map<String, dynamic> json) => $IdNameEntityFromJson(json);

	Map<String, dynamic> toJson() => $IdNameEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}